QGIS Application - Feature request #21284

[Expression] Allow negative value for vertex index in angle_at_vertex/distance_at_vertex/point_n...
functions

2019-02-15 02:15 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Mathieu Pellerin - nIRV

Category: Expressions

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 29102
Description

It could be nice that distance_to_vertex($geometry, -1) returns the length of the feature instead of -1 or point_n($geometry, -1) returns the
last node. | know there are special functions for the examples | provide but it's more about generally allowing negative indices in these
functions.

It will align them with array manipulations as well as options offered in Processing dialogs (Extract specific vertices eg).

Related issues:
Related to QGIS Application - Bug report # 21282: [Expression] point_n functi... Open 2019-02-15

History

#1 - 2019-02-15 02:16 PM - Harrissou Santanna

- Related to Bug report #21282: [Expression] point_n function should be coherent with other vertex based functions and algorithms added
#2 - 2019-03-13 05:21 AM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented
- Assignee set to Mathieu Pellerin - nIRV

#3 - 2019-03-13 05:49 AM - Harrissou Santanna
- Status changed from Open to Closed
